Packet (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.Packet interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Interface Packet

All Known Implementing Classes:
  AbstractPacket

public interface Packet

Denotes an object that can be serialized/deserailized using a PacketReader or PacketWriter

Field Summary
`static int` | `ACTIVEMQ_BROKER_INFO` Broker infomation message
`static int` | `ACTIVEMQ_BYTES_MESSAGE` ActiveMQBytesMessage
`static int` | `ACTIVEMQ_CONNECTION_INFO` Connection info message
`static int` | `ACTIVEMQ_MAP_MESSAGE` ActiveMQMapMessage object
`static int` | `ACTIVEMQ_MESSAGE` ActiveMQMessage object
`static int` | `ACTIVEMQ_MSG_ACK` Message acknowledge
`static int` | `ACTIVEMQ_OBJECT_MESSAGE` ActiveMQObjectMessage object
`static int` | `ACTIVEMQ_STREAM_MESSAGE` ActiveMQStreamMessage object
`static int` | `ACTIVEMQ_TEXT_MESSAGE` ActiveMQTextMessage object
`static int` | `CAPACITY_INFO` Infomation about the Capacity for more Messages for either Connection/Broker
`static int` | `CAPACITY_INFO_REQUEST` Request infomation about the current capacity
`static int` | `CONSUMER_INFO` Consumer Infomation
`static int` | `DURABLE_UNSUBSCRIBE` Durable Unsubscribe message
`static int` | `INT_RESPONSE_RECEIPT_INFO` A receipt with an Integer reponse.
`static int` | `PRODUCER_INFO` Producer Info
`static int` | `RECEIPT_INFO` Recipt message
`static int` | `RESPONSE_RECEIPT_INFO` A receipt with an Object reponse.
`static int` | `SESSION_INFO` Session Info message
`static int` | `TRANSACTION_INFO` Transaction info
`static int` | `WIRE_FORMAT_INFO` Infomation about the wire format expected
`static int` | `XA_TRANSACTION_INFO` XA Transaction info

Method Summary
`void` | `addBrokerVisited(String brokerName)` As the packet passes through the broker add the broker to the visited list
`int` | `decrementMemoryReferenceCount()` Decrement reference count for bounded memory collections
`String` | `getBrokersVisitedAsString()`
`String` | `getId()`
`int` | `getMemoryUsage()` Get a hint about how much memory this Packet is consuming
`int` | `getMemoryUsageReferenceCount()`
`int` | `getPacketType()` Return the type of Packet
`boolean` | `hasVisited(String brokerName)` test to see if the named broker has already seen this packet
`int` | `incrementMemoryReferenceCount()` Increment reference count for bounded memory collections
`boolean` | `isJMSMessage()` Retrieve if a JMS Message type or not
`boolean` | `isReceipt()`
`boolean` | `isReceiptRequired()`
`void` | `setId(String newId)` Set the unique id for this Packet
`void` | `setMemoryUsage(int newMemoryUsage)` Set a hint about how mujch memory this packet is consuming
`void` | `setReceiptRequired(boolean value)` Set if a Recipt if required on receiving this Packet

Field Detail

### ACTIVEMQ_MESSAGE

    public static final int ACTIVEMQ_MESSAGE

  ActiveMQMessage object

  See Also:
    Constant Field Values

### ACTIVEMQ_TEXT_MESSAGE

    public static final int ACTIVEMQ_TEXT_MESSAGE

  ActiveMQTextMessage object

  See Also:
    Constant Field Values

### ACTIVEMQ_OBJECT_MESSAGE

    public static final int ACTIVEMQ_OBJECT_MESSAGE

  ActiveMQObjectMessage object

  See Also:
    Constant Field Values

### ACTIVEMQ_BYTES_MESSAGE

    public static final int ACTIVEMQ_BYTES_MESSAGE

  ActiveMQBytesMessage

  See Also:
    Constant Field Values

### ACTIVEMQ_STREAM_MESSAGE

    public static final int ACTIVEMQ_STREAM_MESSAGE

  ActiveMQStreamMessage object

  See Also:
    Constant Field Values

### ACTIVEMQ_MAP_MESSAGE

    public static final int ACTIVEMQ_MAP_MESSAGE

  ActiveMQMapMessage object

  See Also:
    Constant Field Values

### ACTIVEMQ_MSG_ACK

    public static final int ACTIVEMQ_MSG_ACK

  Message acknowledge

  See Also:
    Constant Field Values

### RECEIPT_INFO

    public static final int RECEIPT_INFO

  Recipt message

  See Also:
    Constant Field Values

### CONSUMER_INFO

    public static final int CONSUMER_INFO

  Consumer Infomation

  See Also:
    Constant Field Values

### PRODUCER_INFO

    public static final int PRODUCER_INFO

  Producer Info

  See Also:
    Constant Field Values

### TRANSACTION_INFO

    public static final int TRANSACTION_INFO

  Transaction info

  See Also:
    Constant Field Values

### XA_TRANSACTION_INFO

    public static final int XA_TRANSACTION_INFO

  XA Transaction info

  See Also:
    Constant Field Values

### ACTIVEMQ_BROKER_INFO

    public static final int ACTIVEMQ_BROKER_INFO

  Broker infomation message

  See Also:
    Constant Field Values

### ACTIVEMQ_CONNECTION_INFO

    public static final int ACTIVEMQ_CONNECTION_INFO

  Connection info message

  See Also:
    Constant Field Values

### SESSION_INFO

    public static final int SESSION_INFO

  Session Info message

  See Also:
    Constant Field Values

### DURABLE_UNSUBSCRIBE

    public static final int DURABLE_UNSUBSCRIBE

  Durable Unsubscribe message

  See Also:
    Constant Field Values

### RESPONSE_RECEIPT_INFO

    public static final int RESPONSE_RECEIPT_INFO

  A receipt with an Object reponse.

  See Also:
    Constant Field Values

### INT_RESPONSE_RECEIPT_INFO

    public static final int INT_RESPONSE_RECEIPT_INFO

  A receipt with an Integer reponse.

  See Also:
    Constant Field Values

### CAPACITY_INFO

    public static final int CAPACITY_INFO

  Infomation about the Capacity for more Messages for either Connection/Broker

  See Also:
    Constant Field Values

### CAPACITY_INFO_REQUEST

    public static final int CAPACITY_INFO_REQUEST

  Request infomation about the current capacity

  See Also:
    Constant Field Values

### WIRE_FORMAT_INFO

    public static final int WIRE_FORMAT_INFO

  Infomation about the wire format expected

  See Also:
    Constant Field Values

Method Detail

### getPacketType

    public int getPacketType()

  Return the type of Packet

  Returns:
    integer representation of the type of Packet

### getId

    public String getId()

  Returns:
    the unique id for this Packet

### setId

    public void setId(String newId)

  Set the unique id for this Packet

  Parameters:
    `newId` -

### isReceiptRequired

    public boolean isReceiptRequired()

  Returns:
    true if a Recipt is required

### isReceipt

    public boolean isReceipt()

  Returns:
    true if this is a Receipt

### setReceiptRequired

    public void setReceiptRequired(boolean value)

  Set if a Recipt if required on receiving this Packet

  Parameters:
    `value` -

### isJMSMessage

    public boolean isJMSMessage()

  Retrieve if a JMS Message type or not

  Returns:
    true if it is a JMS Message

### getMemoryUsage

    public int getMemoryUsage()

  Get a hint about how much memory this Packet is consuming

  Returns:
    an aproximation of the current memory used by this instance

### setMemoryUsage

    public void setMemoryUsage(int newMemoryUsage)

  Set a hint about how mujch memory this packet is consuming

  Parameters:
    `newMemoryUsage` -

### incrementMemoryReferenceCount

    public int incrementMemoryReferenceCount()

  Increment reference count for bounded memory collections

  Returns:
    the incremented reference value
  See Also:
    `MemoryBoundedQueue`

### decrementMemoryReferenceCount

    public int decrementMemoryReferenceCount()

  Decrement reference count for bounded memory collections

  Returns:
    the decremented reference value
  See Also:
    `MemoryBoundedQueue`

### getMemoryUsageReferenceCount

    public int getMemoryUsageReferenceCount()

  Returns:
    the current reference count for bounded memory collections
  See Also:
    `MemoryBoundedQueue`

### addBrokerVisited

    public void addBrokerVisited(String brokerName)

  As the packet passes through the broker add the broker to the visited list

  Parameters:
    `brokerName` - the name of the broker

### hasVisited

    public boolean hasVisited(String brokerName)

  test to see if the named broker has already seen this packet

  Parameters:
    `brokerName` - the name of the broker
  Returns:
    true if the packet has visited the broker

### getBrokersVisitedAsString

    public String getBrokersVisitedAsString()

  Returns:
    Returns the brokersVisited.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.